# Misc › Partner API

> Part of the OVHcloud developer hub. Index of every page and section: https://developers.eu.ovhcloud.com/llms.txt
> The Misc product's sections: https://developers.eu.ovhcloud.com/reference/misc/llms.txt
> Everything in one file: https://developers.eu.ovhcloud.com/llms-full.txt

> 3 operations of the OVHcloud API. Calls carry `authorization: Bearer $OVH_TOKEN`; the EU host is shown, Canada and the United States answer on api.ca.ovhcloud.com and api.us.ovhcloud.com.

Page: https://developers.eu.ovhcloud.com/reference/misc/partner/

OpenAPI v1: https://api.eu.ovhcloud.com/1.0/__schemas/developer-hub-navigation/misc/partner.json?format=openapi3
OpenAPI v2: https://api.eu.ovhcloud.com/v2/__schemas/developer-hub-navigation/misc/partner.json?format=openapi3

## Operations

- `GET /me/partnerLevel` — Fetch the partner level of the account
- `GET /partner` — Get partner status
- `POST /partner` — Register as a partner

## Fetch the partner level of the account

`GET /1.0/me/partnerLevel`

Link: https://developers.eu.ovhcloud.com/reference/misc/partner/#get-me-partnerlevel

**Status:** Beta version  
**IAM actions:** `account:apiovh:me/partnerLevel/get`

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | me.partnerLevel.Level | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `level` | me.partnerLevel.LevelTypeEnum | read-only | Level of partner — one of `advanced`, `none`, `standard`, `strategic` |
| `msa` | boolean | read-only | Contains an MSA certificate |
| `requirement` | me.partnerLevel.RequirementLoSEnum | read-only | Level of Support required — one of `none`, `premium`, `premium-accredited` |

```json
{
  "level": "advanced",
  "msa": true,
  "requirement": "none"
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/me/partnerLevel" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/me/partnerLevel")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/me/partnerLevel");

print_r($result);
?>
```

## Get partner status

`GET /1.0/partner`

Link: https://developers.eu.ovhcloud.com/reference/misc/partner/#get-partner

**Status:** Stable production version  
**IAM actions:** `account:apiovh:partner/get`

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | partner2.Partner | successful operation |
| 404 | object | Error 404 response |
| 500 | object | Error 500 response |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `acceptanceStatus` | partner2.AcceptanceStatusEnum | read-only | Acceptance Status — one of `Advanced`, `AdvancedHandOperated`, `AdvancedQualified`, `Open`, `Registered`, `RegisteredQualified`, `Rejected` |
| `account` | partner2.Account | yes | Account |
| `account.city` | string |  | DEPRECATED - Account City |
| `account.companyTurnover` | number |  | Company turnover (in euros) |
| `account.country` | nichandle.CountryEnum |  | DEPRECATED - Account Country — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `account.name` | string | yes | Account Name |
| `account.numberOfEmployees` | partner2.employeesNumberEnum |  | Number of employees — one of `1000to1999`, `100To199`, `10To19`, `1Or2`, `2000to4999`, `200To249`, `20To49`, `250To499`, `3To5`, `5000to9999`, `500to999`, `50To99`, … |
| `account.partnerType` | partner2.partnerTypeEnum |  | Partner Type — one of `consultingCompany`, `iaasProvider`, `managedServiceProvider`, `other`, `softwareEditor`, `strategicConsulting`, `systemsIntegrator`, `telecomOperators`, `trainingCompany`, `valueAddedReseller`, `webAgency` |
| `account.yearEstablished` | string (date) |  | In what year was your company established? |
| `areaOfExpertise` | partner2.AreaOfExpertiseEnum[] |  | DEPRECATED - Area of Expertise |
| `contact` | partner2.Contact |  | Contact |
| `contact.email` | string | yes | Contact Email |
| `contact.firstName` | string | yes | Contact First Name |
| `contact.jobTitle` | string |  | Contact Job Title |
| `contact.lastName` | string | yes | Contact Last Name |
| `contact.phone` | string | yes | Contact Phone |
| `contact.position` | partner2.PositionEnum | yes | Contact Position — one of `AF`, `BusinessOwner`, `HR`, `ITDevops`, `ITOther`, `ITSysAdmin`, `LC`, `Marketing`, `Other`, `PreSales`, `Production`, `Purchasing`, … |
| `partnersProgramReason` | string |  | DEPRECATED - Why you want to take part in OVH's Partners Program |
| `partnership` | partner2.PartnerShip |  | How the PartnerShip will Growth |
| `partnership.areaOfExpertise` | partner2.AreaOfExpertiseEnum[] |  | Area of Expertise |
| `partnership.emailCommunication` | boolean |  | GDPR - email/communication opt in |
| `partnership.partnersProgramReason` | string |  | Why you want to take part in OVH's Partners Program |
| `partnership.salesGrowthOpportunities` | string |  | OVHcloud sales growth opportunities |
| `partnership.salesProjection` | number |  | Sales projection (in euros) |
| `partnership.supportAgreementStatement` | boolean |  | Support agreement statement |
| `salesProjection` | number |  | DEPRECATED - Sales Projection (in euros) |

```json
{
  "acceptanceStatus": "Advanced",
  "account": {
    "city": "string",
    "companyTurnover": 0,
    "country": "AC",
    "name": "string",
    "numberOfEmployees": "1000to1999",
    "partnerType": "consultingCompany",
    "yearEstablished": "2024-01-01"
  },
  "areaOfExpertise": [
    "BigData"
  ],
  "contact": {
    "email": "string",
    "firstName": "string",
    "jobTitle": "string",
    "lastName": "string",
    "phone": "string",
    "position": "AF"
  },
  "partnersProgramReason": "string",
  "partnership": {
    "areaOfExpertise": [
      "BigData"
    ],
    "emailCommunication": true,
    "partnersProgramReason": "string",
    "salesGrowthOpportunities": "string",
    "salesProjection": 0,
    "supportAgreementStatement": true
  },
  "salesProjection": 0
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/partner" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/partner")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/partner");

print_r($result);
?>
```

## Register as a partner

`POST /1.0/partner`

Link: https://developers.eu.ovhcloud.com/reference/misc/partner/#post-partner

**Status:** Stable production version  
**IAM actions:** `account:apiovh:partner/create`

### Request body (required)

Type: `partner2.Partner`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `acceptanceStatus` | partner2.AcceptanceStatusEnum | read-only | Acceptance Status — one of `Advanced`, `AdvancedHandOperated`, `AdvancedQualified`, `Open`, `Registered`, `RegisteredQualified`, `Rejected` |
| `account` | partner2.Account | yes | Account |
| `account.city` | string |  | DEPRECATED - Account City |
| `account.companyTurnover` | number |  | Company turnover (in euros) |
| `account.country` | nichandle.CountryEnum |  | DEPRECATED - Account Country — one of `AC`, `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, … |
| `account.name` | string | yes | Account Name |
| `account.numberOfEmployees` | partner2.employeesNumberEnum |  | Number of employees — one of `1000to1999`, `100To199`, `10To19`, `1Or2`, `2000to4999`, `200To249`, `20To49`, `250To499`, `3To5`, `5000to9999`, `500to999`, `50To99`, … |
| `account.partnerType` | partner2.partnerTypeEnum |  | Partner Type — one of `consultingCompany`, `iaasProvider`, `managedServiceProvider`, `other`, `softwareEditor`, `strategicConsulting`, `systemsIntegrator`, `telecomOperators`, `trainingCompany`, `valueAddedReseller`, `webAgency` |
| `account.yearEstablished` | string (date) |  | In what year was your company established? |
| `areaOfExpertise` | partner2.AreaOfExpertiseEnum[] |  | DEPRECATED - Area of Expertise |
| `contact` | partner2.Contact |  | Contact |
| `contact.email` | string | yes | Contact Email |
| `contact.firstName` | string | yes | Contact First Name |
| `contact.jobTitle` | string |  | Contact Job Title |
| `contact.lastName` | string | yes | Contact Last Name |
| `contact.phone` | string | yes | Contact Phone |
| `contact.position` | partner2.PositionEnum | yes | Contact Position — one of `AF`, `BusinessOwner`, `HR`, `ITDevops`, `ITOther`, `ITSysAdmin`, `LC`, `Marketing`, `Other`, `PreSales`, `Production`, `Purchasing`, … |
| `partnersProgramReason` | string |  | DEPRECATED - Why you want to take part in OVH's Partners Program |
| `partnership` | partner2.PartnerShip |  | How the PartnerShip will Growth |
| `partnership.areaOfExpertise` | partner2.AreaOfExpertiseEnum[] |  | Area of Expertise |
| `partnership.emailCommunication` | boolean |  | GDPR - email/communication opt in |
| `partnership.partnersProgramReason` | string |  | Why you want to take part in OVH's Partners Program |
| `partnership.salesGrowthOpportunities` | string |  | OVHcloud sales growth opportunities |
| `partnership.salesProjection` | number |  | Sales projection (in euros) |
| `partnership.supportAgreementStatement` | boolean |  | Support agreement statement |
| `salesProjection` | number |  | DEPRECATED - Sales Projection (in euros) |

```json
{
  "account": {
    "city": "string",
    "companyTurnover": 0,
    "country": "AC",
    "name": "string",
    "numberOfEmployees": "1000to1999",
    "partnerType": "consultingCompany",
    "yearEstablished": "2024-01-01"
  },
  "areaOfExpertise": [
    "BigData"
  ],
  "contact": {
    "email": "string",
    "firstName": "string",
    "jobTitle": "string",
    "lastName": "string",
    "phone": "string",
    "position": "AF"
  },
  "partnersProgramReason": "string",
  "partnership": {
    "areaOfExpertise": [
      "BigData"
    ],
    "emailCommunication": true,
    "partnersProgramReason": "string",
    "salesGrowthOpportunities": "string",
    "salesProjection": 0,
    "supportAgreementStatement": true
  },
  "salesProjection": 0
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/partner" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: partner2.Partner
result = client.post("/partner",
	account = None, # Account (type: partner2.Account)
	areaOfExpertise = None, # DEPRECATED - Area of Expertise (type: array, nullable)
	contact = None, # Contact (type: partner2.Contact, nullable)
	partnersProgramReason = None, # DEPRECATED - Why you want to take part in OVH's Partners Program (type: string, nullable)
	partnership = None, #  How the PartnerShip will Growth (type: partner2.PartnerShip)
	salesProjection = None, # DEPRECATED - Sales Projection (in euros)  (type: number, nullable)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: partner2.Partner
$result = $ovh->post("/partner", array(
	account => null, // Account (type: partner2.Account)
	areaOfExpertise => null, // DEPRECATED - Area of Expertise (type: array, nullable)
	contact => null, // Contact (type: partner2.Contact, nullable)
	partnersProgramReason => null, // DEPRECATED - Why you want to take part in OVH's Partners Program (type: string, nullable)
	partnership => null, //  How the PartnerShip will Growth (type: partner2.PartnerShip)
	salesProjection => null, // DEPRECATED - Sales Projection (in euros)  (type: number, nullable)
));

print_r($result);
?>
```
